<?php
define ('SS_NOV23', 252<<8);
class hooks_nov23 extends hooks {
    
    function __construct() {
        $this->module_name = 'Nov23'; 
    }

    /*
    * Install additonal menu options provided by module
    */

    function install_options($app) {
	global $path_to_root;

	switch($app->id) {
            case 'system':
                $app->add_lapp_function(0, _("Company Documents Setup"),
                    $path_to_root."/modules/".$this->module_name."/manage/nov23_setup.php?", 'SA_SETUPCOMPANY', MENU_MAINTENANCE);
		break;
	}
    }
    
    function activate_extension($company, $check_only=true) {
        global $db_connections;
        
        $updates = array( 'update.sql' => array('external'));
 
        return $this->update_databases($company, $updates, $check_only);
    }
    
    function deactivate_extension($company, $check_only=true) {
        global $db_connections;

        $updates = array('remove.sql' => array('external'));

        return $this->update_databases($company, $updates, $check_only);
    }

}
